#include "Point.hh"

Point& Point::operator+=(const Point& p) {
	x_+=p.get_x();
	y_+=p.get_y();
	return *this;
}

Point& Point::operator-=(const Point& p) {
	x_-=p.get_x();
	y_-=p.get_y();
	return *this;
}

Point& Point::operator*=(double a) {
	x_*=a;
	y_*=a;
	return *this;
}

Point operator+(const Point& p1,const Point& p2) {
	Point result(p1.get_x(),p1.get_y());
	result+=p2;
	return result;
}

Point operator-(const Point& p1,const Point& p2) {
	Point result(p1.get_x(),p1.get_y());
	result-=p2;
	return result;
}

Point operator*(const Point& p,double a) {
	Point result(p.get_x(),p.get_y());
	result*=a;
	return result;
}

Point operator*(double a, const Point& p) {
	return p*a;
}
std::ostream& operator<<( std::ostream& out, const Point& p) {
	out << "Point(" << p.get_x() << ", "
		<< p.get_y() << ")";
	return out;
}
