#ifndef POINT_HH__
#define POINT_HH__

#include <ostream>

class Point {
	double x_,y_;
public:
	Point(double x=0.0,double y=0.0)
	 : x_(x), y_(y)
	{}

	double get_x() const {return x_;}
	double get_y() const {return y_;}

	Point& operator+=(const Point& p);
	Point& operator-=(const Point& p);
	Point& operator*=(double a);

};

Point operator+(const Point& p1, const Point& p2);
Point operator-(const Point& p1, const Point& p2);
Point operator*(const Point& p, double a);
Point operator*(double a, const Point& p);


std::ostream& operator<<(std::ostream& out, const Point& p);
#endif
